org.eclipse.actf.model.ui.editor.browser

## Interface IWebBrowserACTFEventListener

    public interface IWebBrowserACTFEventListener

Interface to listen events from `IWebBrowserACTF`

### Method Summary

Methods
`void` `beforeNavigate(IWebBrowserACTF webBrowser, String url, String targetFrameName, boolean isInNavigation)` This method is called before the navigation start
`void` `browserDisposed(IWebBrowserACTF webBrowser, String title)` This method is called when the browser is disposed
`void` `dispose()` Dispose the instance
`void` `focusGainedOfAddressText(IWebBrowserACTF webBrowser)` This method is called when the address bar area of the browser gained the focus
`void` `focusLostOfAddressText(IWebBrowserACTF webBrowser)` This method is called when the address bar area of the browser lost the focus
`void` `getFocus(IWebBrowserACTF webBrowser)` This method is called when the browser got focus
`void` `navigateComplete(IWebBrowserACTF webBrowser, String url)` This method is called when the navigation was completed
`void` `navigateStop(IWebBrowserACTF webBrowser)` This method is called when the navigation was stopped
`void` `newWindow(IWebBrowserACTF webBrowser)` This method is called when the new instance of `IWebBrowserACTF` was created
`void` `progressChange(IWebBrowserACTF webBrowser, int progress, int progressMax)` This method is called when the progress status was changed
`void` `refreshComplete(IWebBrowserACTF webBrowser)` This method is called when the refresh was completed
`void` `refreshStart(IWebBrowserACTF webBrowser)` This method is called when the refresh was started
`void` `rootDocumentComplete(IWebBrowserACTF webBrowser)` This method is called when the navigation of root document was completed
`void` `titleChange(IWebBrowserACTF webBrowser, String title)` This method is called when the title was changed

### Method Detail

#### navigateComplete

    void navigateComplete(IWebBrowserACTF webBrowser,
                        String url)

This method is called when the navigation was completed

Parameters:
  `webBrowser` - event source `IWebBrowserACTF`
  `url` - target URL

#### titleChange

    void titleChange(IWebBrowserACTF webBrowser,
                   String title)

This method is called when the title was changed

Parameters:
  `webBrowser` - event source `IWebBrowserACTF`
  `title` - new title

#### progressChange

    void progressChange(IWebBrowserACTF webBrowser,
                      int progress,
                      int progressMax)

This method is called when the progress status was changed

Parameters:
  `webBrowser` - event source `IWebBrowserACTF`
  `progress` - current progress
  `progressMax` - goal value of progress

#### rootDocumentComplete

    void rootDocumentComplete(IWebBrowserACTF webBrowser)

This method is called when the navigation of root document was completed

Parameters:
  `webBrowser` - event source `IWebBrowserACTF`

#### dispose

    void dispose()

Dispose the instance

#### getFocus

    void getFocus(IWebBrowserACTF webBrowser)

This method is called when the browser got focus

Parameters:
  `webBrowser` - event source `IWebBrowserACTF`

#### browserDisposed

    void browserDisposed(IWebBrowserACTF webBrowser,
                       String title)

This method is called when the browser is disposed

Parameters:
  `webBrowser` - event source `IWebBrowserACTF`
  `title` - title of the current page

#### beforeNavigate

    void beforeNavigate(IWebBrowserACTF webBrowser,
                      String url,
                      String targetFrameName,
                      boolean isInNavigation)

This method is called before the navigation start

Parameters:
  `webBrowser` - event source `IWebBrowserACTF`
  `url` - target URL
  `targetFrameName` - target frame name, if available
  `isInNavigation` - true if the navigation is child of other navigation

#### refreshStart

    void refreshStart(IWebBrowserACTF webBrowser)

This method is called when the refresh was started

Parameters:
  `webBrowser` - event source `IWebBrowserACTF`

#### refreshComplete

    void refreshComplete(IWebBrowserACTF webBrowser)

This method is called when the refresh was completed

Parameters:
  `webBrowser` - event source `IWebBrowserACTF`

#### navigateStop

    void navigateStop(IWebBrowserACTF webBrowser)

This method is called when the navigation was stopped

Parameters:
  `webBrowser` - event source `IWebBrowserACTF`

#### focusGainedOfAddressText

    void focusGainedOfAddressText(IWebBrowserACTF webBrowser)

This method is called when the address bar area of the browser gained the focus

Parameters:
  `webBrowser` - event source `IWebBrowserACTF`

#### focusLostOfAddressText

    void focusLostOfAddressText(IWebBrowserACTF webBrowser)

This method is called when the address bar area of the browser lost the focus

Parameters:
  `webBrowser` - event source `IWebBrowserACTF`

#### newWindow

    void newWindow(IWebBrowserACTF webBrowser)

This method is called when the new instance of `IWebBrowserACTF` was created

Parameters:
  `webBrowser` - event source `IWebBrowserACTF`